<?php
function webstrap_css() {
	$parent_style = 'specia-parent-style';
    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'webstrap-style', get_stylesheet_uri(), array( $parent_style ));
	
	wp_enqueue_style('webstrap-default',get_stylesheet_directory_uri() .'/css/colors/default.css');
	wp_dequeue_style('specia-default');
	
	wp_dequeue_style('specia-media-query');
	wp_enqueue_style('webstrap-media-query', get_stylesheet_directory_uri() . '/css/media-query.css');
}
add_action( 'wp_enqueue_scripts', 'webstrap_css',999);
   	
//Admin Enqueue for Style Configurator
function webstrap_admin_enqueue_scripts(){
	wp_enqueue_style('webstrap-style-configurator', get_stylesheet_directory_uri() . '/css/style-configurator.css');
}
add_action( 'admin_enqueue_scripts', 'webstrap_admin_enqueue_scripts' );
	
function webstrap_setup()	{	
	load_child_theme_textdomain( 'webstrap', get_stylesheet_directory() . '/languages' );
	add_editor_style( array( 'css/editor-style.css', webstrap_google_font() ) );
}
add_action( 'after_setup_theme', 'webstrap_setup' );
	
/**
 * Register Google fonts for Nifty.
 */
function webstrap_google_font() {
	
    $get_fonts_url = '';
		
    $font_families = array();
 
	$font_families = array('Open Sans:300,400,600,700,800', 'Raleway:400,700');
 
        $query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
 
        $get_fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );

    return esc_url($get_fonts_url);
	
}

function webstrap_scripts_styles() {
    wp_enqueue_style( 'webstrap-fonts', webstrap_google_font(), array(), null );
}
add_action( 'wp_enqueue_scripts', 'webstrap_scripts_styles' );

require( get_stylesheet_directory() . '/inc/customize/webstrap-header-section.php');
require( get_stylesheet_directory() . '/inc/customize/webstrap-premium.php');
	
/**
 * Add WooCommerce Cart Icon With Cart Count
*/
function webstrap_add_to_cart_fragment( $fragments ) {
 
    ob_start();
    $count = WC()->cart->cart_contents_count;
    ?><a class="cart-icon" href="<?php echo esc_url( wc_get_cart_url() ); ?>"><i class='fa fa-cart-plus'></i><?php
    if ( $count > 0 ) { 
	?>
        <span class="count"><?php echo esc_html( $count ); ?></span>
	<?php            
    } else {
	?>	
		<span class="count"><?php echo esc_html_e('0','webstrap'); ?></span>
	<?php
	}
    ?></a><?php
 
    $fragments['a.cart-icon'] = ob_get_clean();
     
    return $fragments;
}
add_filter( 'woocommerce_add_to_cart_fragments', 'webstrap_add_to_cart_fragment' );




/**
 * Remove Customize Panel from parent theme
 */
function webstrap_remove_parent_setting( $wp_customize ) {
	$wp_customize->remove_control('cta_btn_second_head');	
	$wp_customize->remove_control('call_action_btn_middle_text');	
	$wp_customize->remove_control('call_action_button_label2');	
	$wp_customize->remove_control('call_action_button_link2');	
	$wp_customize->remove_control('cta_bg_head');	
	$wp_customize->remove_control('call_action_background_setting');	
}
add_action( 'customize_register', 'webstrap_remove_parent_setting',99 );

/**
 * Import Options From Specia Theme
 *
 */
function webstrap_parent_theme_options() {
	$specia_mods = get_option( 'theme_mods_specia' );
	if ( ! empty( $specia_mods ) ) {
		foreach ( $specia_mods as $specia_mod_k => $specia_mod_v ) {
			set_theme_mod( $specia_mod_k, $specia_mod_v );
		}
	}
}
add_action( 'after_switch_theme', 'webstrap_parent_theme_options' );